BLK_QUEUE_UPDATE_DMA(9)

NAME
blk_queue_update_dma_alignment - update dma length and memory alignment

SYNOPSIS

void blk_queue_update_dma_alignment(struct request_queue * q, int mask);

ARGUMENTS

q
    the request queue for the device

mask
    alignment mask

DESCRIPTION

update required memory and length alignment for direct dma transactions. If the requested alignment is larger than the current alignment, then the current queue alignment is updated to the new value, otherwise it is left alone. The design of this is to allow multiple objects (driver, device, transport etc) to set their respective alignments without having them interfere.

COPYRIGHT